/// <reference types="react" />
import { SearchBarSectionApi } from "../../../../interfaces/types";
export declare const StyledResult: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").LiHTMLAttributes<HTMLLIElement>, HTMLLIElement>, {}>;
export declare const StyledRoundedIconWrapper: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
} & {
    type: SearchBarSectionApi['type'];
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const StyledText: import("@emotion/styled").StyledComponent<{
    size?: import("../../../../../mantine").TextSize;
    weight?: "caption" | "regular" | "semiBold" | "bold" | "halfBold";
    as?: any;
    wordWrap?: "none" | "break-word" | "break-all";
    isUppercase?: boolean;
    variant?: "primary" | "secondary" | "tertiary" | "disabled" | "error" | "success";
    href?: string;
} & Omit<import("react").HTMLAttributes<unknown>, "size"> & Omit<import("@mantine/core").TextProps, "size" | "weight" | "component"> & import("@mantine/styles").DefaultProps<"root", Record<string, any>> & import("../../../../../types").DataTrackingType & import("react").RefAttributes<HTMLParagraphElement> & {
    theme?: import("@emotion/react").Theme;
}, {}, {}>;
export declare const StyledPictureWrapper: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLElement>, HTMLElement>, {}>;
export declare const StyledLocationPin: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").SVGProps<SVGSVGElement>, {}>;
export declare const StyledImageSkeletonWrapper: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
